# Class CIM_SANegotiationAction
extends CIM_SAAction

SANegotiationAction is the base class for negotiated SAs. It is abstract, specifying the common parameters that control the IPsec phase 1 and phase 2 negotiations.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicyAction
|
+--CIM_SAAction
|
+--CIM_SANegotiationAction

## Direct Known Subclasses

CIM_IKEAction
CIM_IPsecAction

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Description | string | SANegotiationAction is the base class for negotiated SAs. It is abstract, specifying the common parameters that control the IPsec phase 1 and phase 2 negotiations.
MappingStrings | string | IPSP Policy Model.IETF|SANegotiationAction, IPSP Policy Model.IETF|IKENegotiationAction
UMLPackagePath | string | CIM::IPsecPolicy
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
IdleDurationSeconds | uint64 | 0

Description

string

IdleDurationSeconds is the time an SA can remain idle (i.e., no traffic protected using the security association) before it is automatically deleted. The default (zero) value indicates that there is no idle duration timer and that the SA is deleted based upon the SA seconds and kilobyte lifetimes. Any non-zero value indicates the number of seconds that the SA may remain unused.

MappingStrings | string | IPSP Policy Model.IETF|IKENegotiationAction.IdleDurationSeconds
ModelCorrespondence | string | CIM_SecurityAssociationEndpoint.IdleDurationSeconds
PUnit | string | second
Units | string | Seconds
MinLifetimeKilobytes | uint64 | 0

Description

string

MinLifetimeKilobytes prevents certain denial of service attacks where the peer requests an arbitrarily low lifetime value, causing renegotiations with expensive Diffie-Hellman operations. The property specifies the minimum lifetime, in kilobytes, that will be accepted from the peer. A value of zero (the default) indicates that there is no minimum value. A non-zero value specifies the minimum kilobytes lifetime. Note that there has been considerable debate regarding the usefulness of applying kilobyte lifetimes to phase 1 security associations, so it is likely that this property will only apply to the subclass, IPsecAction.

MappingStrings | string | IPSP Policy Model.IETF|IKENegotiationAction.MinLifetimeKilobytes
ModelCorrespondence | string | CIM_SecurityAssociationEndpoint.LifetimeKilobytes
PUnit | string | byte * 10^3
Units | string | KiloBytes
MinLifetimeSeconds | uint64 | 0

Description

string

MinLifetimeSeconds prevents certain denial of service attacks where the peer requests an arbitrarily low lifetime value, causing renegotiations with expensive Diffie-Hellman operations. The property specifies the minimum lifetime, in seconds, that will be accepted from the peer. A value of zero (the default) indicates that there is no minimum value. A non-zero value specifies the minimum seconds lifetime.

MappingStrings | string | IPSP Policy Model.IETF|IKENegotiationAction.MinLifetimeSeconds
ModelCorrespondence | string | CIM_SecurityAssociationEndpoint.LifetimeSeconds
PUnit | string | second
Units | string | Seconds

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
CreationClassName | string | CIM_PolicyAction
Description | string | CIM_ManagedElement
DoActionLogging | boolean | CIM_PolicyAction
DoPacketLogging | boolean | CIM_SAAction
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PolicyActionName | string | CIM_PolicyAction
PolicyRuleCreationClassName | string | CIM_PolicyAction
PolicyRuleName | string | CIM_PolicyAction
SystemCreationClassName | string | CIM_PolicyAction
SystemName | string | CIM_PolicyAction
PolicyKeywords | string[] | CIM_Policy

## Class Methods